# org.springframework.aop.aspectj.annotation

## Interfaces

- AspectJAdvisorFactory
- MetadataAwareAspectInstanceFactory

## Classes

- AbstractAspectJAdvisorFactory
- AbstractAspectJAdvisorFactory.AspectJAnnotation
- AnnotationAwareAspectJAutoProxyCreator
- AspectJProxyFactory
- AspectMetadata
- BeanFactoryAspectInstanceFactory
- BeanFactoryAspectJAdvisorsBuilder
- LazySingletonAspectInstanceFactoryDecorator
- PrototypeAspectInstanceFactory
- ReflectiveAspectJAdvisorFactory
- ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor
- SimpleMetadataAwareAspectInstanceFactory
- SingletonMetadataAwareAspectInstanceFactory

## Enums

- AbstractAspectJAdvisorFactory.AspectJAnnotationType

## Exceptions

- NotAnAtAspectException